org.eclipse.viatra.query.patternlanguage.emf.ui.builder

## Class EnsurePluginSupport

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.ui.builder.EnsurePluginSupport

-     public class EnsurePluginSupport
      extends java.lang.Object

  Ensure support for BuilderParticipant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnsurePluginSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModelBundleId(org.eclipse.core.resources.IProject project, java.lang.String bundleId)` Adds a bundle id to the projects bundle collection.
    `void` | `appendAllExtension(org.eclipse.core.resources.IProject project, java.lang.Iterable<ExtensionData> extensions)`
    `void` | `appendExtension(org.eclipse.core.resources.IProject project, ExtensionData extension)`
    `void` | `clean()`
    `void` | `ensure(org.eclipse.core.resources.IProject modelProject, org.eclipse.core.runtime.IProgressMonitor monitor)` The ensure phase performs changes to the plugin.xml and MANIFEST.MF descriptors.
    `void` | `exportPackage(org.eclipse.core.resources.IProject project, java.lang.String packageName)`
    `java.util.Collection<java.lang.String>` | `getModelBundleDependencies(org.eclipse.core.resources.IProject project)`
    `void` | `removeAllExtension(org.eclipse.core.resources.IProject targetProject, java.lang.Iterable<org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String>> extensions)`
    `void` | `removeExtension(org.eclipse.core.resources.IProject project, org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String> extension)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnsurePluginSupport

          public EnsurePluginSupport()

  - ### Method Detail

    - #### appendExtension

          public void appendExtension(org.eclipse.core.resources.IProject project,
                                      ExtensionData extension)

    - #### appendAllExtension

          public void appendAllExtension(org.eclipse.core.resources.IProject project,
                                         java.lang.Iterable<ExtensionData> extensions)

    - #### removeExtension

          public void removeExtension(org.eclipse.core.resources.IProject project,
                                      org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String> extension)

    - #### removeAllExtension

          public void removeAllExtension(org.eclipse.core.resources.IProject targetProject,
                                         java.lang.Iterable<org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String>> extensions)

    - #### exportPackage

          public void exportPackage(org.eclipse.core.resources.IProject project,
                                    java.lang.String packageName)

    - #### addModelBundleId

          public void addModelBundleId(org.eclipse.core.resources.IProject project,
                                       java.lang.String bundleId)

      Adds a bundle id to the projects bundle collection. The implementation manages multiple additions by storing only a single element for each id.
      Parameters:
        `project` -
        `bundleId` -

    - #### clean

          public void clean()

    - #### ensure

          public void ensure(org.eclipse.core.resources.IProject modelProject,
                             org.eclipse.core.runtime.IProgressMonitor monitor)

      The ensure phase performs changes to the plugin.xml and MANIFEST.MF descriptors.
      Parameters:
        `modelProject` -
        `monitor` -
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### getModelBundleDependencies

          public java.util.Collection<java.lang.String> getModelBundleDependencies(org.eclipse.core.resources.IProject project)